Page MenuHomePhabricator

revlogv2: temporarily forbid inline revlogs
ClosedPublic

Authored by Alphare on Feb 19 2021, 6:16 AM.

Details

Summary

See inline comments. I plan to fix the underlying issue before revlogv2 is
stabilized.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Alphare created this revision.Feb 19 2021, 6:16 AM
baymax updated this revision to Diff 25997.Mar 1 2021, 11:52 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

marmoute accepted this revision.Mar 2 2021, 2:02 PM
Alphare updated this revision to Diff 26093.Mar 4 2021, 10:18 AM
marmoute requested changes to this revision.Mar 9 2021, 11:48 AM
marmoute added inline comments.
mercurial/revlog.py
527

Should we really drop this ? If we don't use the inline revlog right now, but will do in the future, it is better to keep this. Or am I missing something.

This revision now requires changes to proceed.Mar 9 2021, 11:48 AM
Alphare added inline comments.Mar 10 2021, 1:44 PM
mercurial/revlog.py
527

I guess it's better to leave it here, yes.

Alphare updated this revision to Diff 26224.Mar 10 2021, 2:12 PM
marmoute accepted this revision.Mar 11 2021, 1:16 PM
Alphare updated this revision to Diff 26258.Mar 12 2021, 6:34 AM
Alphare updated this revision to Diff 26335.Mar 15 2021, 6:24 AM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.